Name: gnustep-base
Version: 1.14.1
Release: alt1.3
Serial:1

Summary: GNUstep Base library package

License: LGPL
Group: Development/Other
Url: http://www.gnustep.org/

Packager: Sergey Alembekov <rt@altlinux.ru> 

Source: %name-%version.tar
Source1: %name.init

BuildRequires: gnustep-make gnustep-make-devel libgnutls-devel libssl-devel
BuildRequires: gcc-objc pkgconfig
BuildRequires: libxml2-devel libxslt-devel zlib-devel libffi-devel
Requires: gnustep-make >= 2.0.0

Provides: libgnustep-base.so.1.11

%define _prefix         %_libdir/GNUstep
%define libcombo	gnu-gnu-gnu
%define gsos		linux-gnu
%ifarch %ix86
%define gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define gscpu		%(echo %_target_cpu | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif

%description
The GNUstep Base Library is a powerful fast library of general-purpose,
non-graphical Objective C classes, inspired by the superb OpenStep API but
implementing Apple and GNU additions to the API as well.  It includes for
example classes for unicode strings, arrays, dictionaries, sets, byte
streams, typed coders, invocations, notifications, notification dispatchers,
scanners, tasks, files, networking, threading, remote object messaging
support (distributed objects), event loops, loadable bundles, attributed
unicode strings, xml, mime, user defaults. This package includes development
headers too.
Summary: Dynamic libraries from %name
Group: System/Libraries

%description
Dynamic libraries from %name.

%package devel
Summary: Header files and static libraries from %name
Group: Development/Other
Requires: gnustep-base >= %version
Obsoletes: %name-devel

%description devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q
%build
. %prefix/System/Library/Makefiles/GNUstep.sh
%undefine __libtoolize
%configure \
	--enable-pass-arguments \
	--with-openssl-include=%_includedir/openssl \
	--with-openssl-library=/%_lib/ 

%__make \
	messages=yes

%if %{with doc}
export LD_LIBRARY_PATH=`pwd`/Source/obj
# requires already installed gnustep-base
%__make -C Documentation
%__make -C Documentation/manual
%endif

%install
. %prefix/System/Library/Makefiles/GNUstep.sh
%__make install \
	INSTALL_ROOT_DIR=%buildroot \
	GNUSTEP_INSTALLATION_DIR=%buildroot%prefix/System \
	DESTDIR=%buildroot

%if %{with doc}
%__make -C Documentation install \
	GNUSTEP_INSTALLATION_DIR=%buildroot%prefix/System
%__make -C Documentation/manual install \
	GNUSTEP_INSTALLATION_DIR=%buildroot%prefix/System
# not (yet?) supported by rpm-compress-doc
find %buildroot%prefix/System/Library/Documentation \
	-type f -a ! -name '*.html' -a ! -name '*.gz' -a ! -name '*.jpg' -a ! -name '*.css' | xargs gzip -9nf
%endif

#TODO:
#install -d %buildroot%_initdir
#sed -e "s!@TOOLSARCHDIR@!%prefix/System/Tools/%gscpu/%gsos!" %SOURCE1 \
#	> %buildroot%_initdir/gnustep

#it's bad to do this?
#install -d %buildroot/etc/ld.so.conf.d
#echo '%prefix/System/Library/Libraries/%gscpu/%gsos/%libcombo' > %buildroot/etc/ld.so.conf.d/%name.conf


%__install -p -m644 %buildroot%_prefix/System/Library/Libraries/%gscpu/%gsos/%libcombo/libgnustep-base.so.%version  %buildroot%_libdir/

cd %buildroot%_libdir
%__ln_s libgnustep-base.so.%version libgnustep-base.so

%post
grep -q '^gdomap' /etc/services \
|| (echo "gdomap 538/tcp # GNUstep distributed objects" >> /etc/services \
&& echo "gdomap 538/udp # GNUstep distributed objects" >> /etc/services)
#%post_service gnustep
%post_ldconfig

%preun
#%preun_service gnustep

%postun -p %postun_ldconfig
mv -f /etc/services /etc/services.orig
grep -v "^gdomap 538" /etc/services.orig > /etc/services
rm -f /etc/services.orig
%post_ldconfig_lib

%files
#/etc/ld.so.conf.d/%name.conf
#%attr(754,root,root) %_initdir/gnustep
%doc ANNOUNCE COPYING COPYING.LIB ChangeLog*
%doc NEWS README
%_libdir/GNUstep/System/Library/DTDs
%_libdir/GNUstep/System/Library/Documentation
#%_libdir/GNUstep/System/Library/Makefiles
%_libdir/GNUstep/System/Library/Libraries/gnustep-base
%_libdir/GNUstep/System/Library/Libraries/%gscpu/%gsos/%libcombo/*.so.*
%_libdir/GNUstep/System/Tools
%_libdir/libgnustep-base.so.*

%files devel
%_libdir/GNUstep/System/Library/Headers
%_libdir/GNUstep/System/Library/Libraries/%gscpu/%gsos/%libcombo/*.so
%dir %prefix/System/Library/Makefiles/Additional
%prefix/System/Library/Makefiles/Additional/base.make
%_libdir/libgnustep-base.so

%changelog
* Wed Sep 03 2008 Sergey Alembekov <rt@altlinux.ru> 1:1.14.1-alt1.3
- chmod libgnustep-base.1.14.1 to 644 from 600

* Tue Aug 05 2008 Sergey Alembekov <rt@altlinux.ru> 1:1.14.1-alt1.2
- downgrade to version 1.14.1 becouse of SOAP incompatibility 
- fix x86_64 build
- TODO: initscript fix

* Tue Jul 15 2008 Sergey Alembekov <rt@altlinux.ru> 1.16.3-alt1.1
- version update
- add changelog from old orphaned package
- remove using ld.conf by copying *.so to %_libdir

* Thu Jul 03 2008 Sergey Alembekov <rt@altlinux.ru> 1.16.2-alt1
- build for ALTLinux

* Sat Nov 05 2005 Vitaly Lipatov <lav@altlinux.ru> 1.11.1-alt0.1
- initial build for ALT Linux Sisyphus
- spec from PLD Team <feedback@pld-linux.org>
